package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.dto.EngineeringDeviceDto;
import com.zhgd.xmgl.modules.basicdata.entity.Engineering;
import com.zhgd.xmgl.modules.basicdata.statistics.EngineeringStat;
import com.zhgd.xmgl.modules.basicdata.vo.EngineeringVo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 项目工程表
 * @author： pds
 * @date：   2023-02-22
 * @version： V1.0
 */
public interface IEngineeringService extends IService<Engineering> {

    Page<Engineering> getPageList(Page page, Wrapper<Engineering> wrapper);

    boolean saveInfo(EngineeringVo engineeringVo);

    boolean examine(Map<String, Object> map);

    List<String> getSnListByGov(String governmentSn);


    List<String> getSnListByEnterprise(String enterpriseSn);

    Engineering queryDetailById(Engineering engineering);

    Page<EngineeringDeviceDto> pageListForGov(Map<String, Object> map);

    Page<EngineeringDeviceDto> pageListForEnt(Map<String, Object> map);

    boolean updateInfo(Engineering engineering);

    Page<EngineeringStat> engineeringStat(Page page, Wrapper<Engineering> wrapper);
}
